commit:     c2c4be8ee254b45ac05633a14fec9cff88c21ce9
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 19 13:55:54 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jan 19 15:10:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2c4be8e

app-containers/lxc: add 5.0.2

 - introduce subslot to lxc.

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-containers/lxc/Manifest         |   2 +
 app-containers/lxc/lxc-5.0.2.ebuild | 168 ++++++++++++++++++++++++++++++++++++
 2 files changed, 170 insertions(+)

diff --git a/app-containers/lxc/Manifest b/app-containers/lxc/Manifest
index 6d1c784c3648..94adb342d397 100644
--- a/app-containers/lxc/Manifest
+++ b/app-containers/lxc/Manifest
@@ -1,2 +1,4 @@
 DIST lxc-5.0.1.tar.gz 973206 BLAKE2B 
6d5cb1a03eb2612d0f8cb59783a64ec42bedd560cacfebf76383d9599dfc153e381f0e584a1c8c9a0b5b18a46bfb01863649dc5a019546e9ded6079b5ec69ddd
 SHA512 
c87563b556aec83c93a7c62932217791e92da950cc76983f0d5e1d603fe1ae298a63fb5e88ec9ef5173846d579babb5acd0836679b915de00844bb9edf9c8d7e
 DIST lxc-5.0.1.tar.gz.asc 833 BLAKE2B 
f85df5fc5bd88a738042f622ee4191b99e0a8e07db7ceb5824d634bc451f4bf93c8b64d1c72d4899f639ad30bbc9ee82be292dbe310218fa20566ee00f9bb752
 SHA512 
09de4e74d174b54cf9240ca4ef4793b9f63355c65f610abffb40e6dc2dc9130380761a50725e4dcee39b421e4b51c874d141fe22d5ecfd7ad3af35f7ebec09a0
+DIST lxc-5.0.2.tar.gz 973977 BLAKE2B 
e6017406b96f53525b576528814922a017a7d65fb04724046236307f4e85219b3c8ac725678e57ae3f77a4e817f718748e8c61fbc8147160e4ac87d3146b6567
 SHA512 
2e8800875e9c91cc0cbfdfc33c43d84bad9471d8a1b8ccd52d7d9c6fe44f280f9f701b8ccc2e0f5319a3e4c50d8c4331722f0dd9c0347575eb4f7b4ed110bef3
+DIST lxc-5.0.2.tar.gz.asc 833 BLAKE2B 
3d78f8a87b2f45d2b91a9a6595d286e2fc1dcfc7d28f3c1d86e968860a7e346506ab28d4dafffede8acf1f82e8b12f90eda2e6210cd6bdec702f59bad97295c6
 SHA512 
9bd1ef117cf256841b75d409e8f14b88ed54fdfc9c8c472b6baa5e9695e39cdb8c1f47ce612dc8263abb65511df0812554cc9a5820cdd6c1539a07283a4cd08f

diff --git a/app-containers/lxc/lxc-5.0.2.ebuild 
b/app-containers/lxc/lxc-5.0.2.ebuild
new file mode 100644
index 000000000000..ee16591feeae
--- /dev/null
+++ b/app-containers/lxc/lxc-5.0.2.ebuild
@@ -0,0 +1,168 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 linux-info meson optfeature systemd toolchain-funcs 
verify-sig
+
+DESCRIPTION="A userspace interface for the Linux kernel containment features"
+HOMEPAGE="https://linuxcontainers.org/ https://github.com/lxc/lxc";
+SRC_URI="https://linuxcontainers.org/downloads/lxc/${P}.tar.gz
+       verify-sig? ( https://linuxcontainers.org/downloads/lxc/${P}.tar.gz.asc 
)"
+
+LICENSE="GPL-2 LGPL-2.1 LGPL-3"
+SLOT="0/1.502" # SONAME liblxc.so.1 + ${PV//./} _if_ breaking ABI change while 
bumping.
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="apparmor +caps examples io-uring lto man pam seccomp selinux ssl systemd 
test +tools"
+
+RDEPEND="acct-group/lxc
+       acct-user/lxc
+       apparmor? ( sys-libs/libapparmor )
+       caps? ( sys-libs/libcap[static-libs] )
+       io-uring? ( >=sys-libs/liburing-2:= )
+       pam? ( sys-libs/pam )
+       seccomp? ( sys-libs/libseccomp )
+       selinux? ( sys-libs/libselinux )
+       ssl? ( dev-libs/openssl:0= )
+       systemd? ( sys-apps/systemd:= )
+       tools? ( sys-libs/libcap[static-libs] )"
+DEPEND="${RDEPEND}
+       sys-kernel/linux-headers"
+BDEPEND="virtual/pkgconfig
+       man? ( app-text/docbook2X )
+       verify-sig? ( sec-keys/openpgp-keys-linuxcontainers )"
+
+RESTRICT="!test? ( test )"
+
+CONFIG_CHECK="~!NETPRIO_CGROUP
+       ~CGROUPS
+       ~CGROUP_CPUACCT
+       ~CGROUP_DEVICE
+       ~CGROUP_FREEZER
+
+       ~CGROUP_SCHED
+       ~CPUSETS
+       ~IPC_NS
+       ~MACVLAN
+
+       ~MEMCG
+       ~NAMESPACES
+       ~NET_NS
+       ~PID_NS
+
+       ~POSIX_MQUEUE
+       ~USER_NS
+       ~UTS_NS
+       ~VETH"
+
+ERROR_CGROUP_FREEZER="CONFIG_CGROUP_FREEZER: needed to freeze containers"
+ERROR_MACVLAN="CONFIG_MACVLAN: needed for internal (inter-container) 
networking"
+ERROR_MEMCG="CONFIG_MEMCG: needed for memory resource control in containers"
+ERROR_NET_NS="CONFIG_NET_NS: needed for unshared network"
+ERROR_POSIX_MQUEUE="CONFIG_POSIX_MQUEUE: needed for lxc-execute command"
+ERROR_UTS_NS="CONFIG_UTS_NS: needed to unshare hostnames and uname info"
+ERROR_VETH="CONFIG_VETH: needed for internal (host-to-container) networking"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/linuxcontainers.asc
+
+DOCS=( AUTHORS CONTRIBUTING MAINTAINERS README.md doc/FAQ.txt )
+
+pkg_setup() {
+       linux-info_pkg_setup
+}
+
+src_configure() {
+       local emesonargs=(
+               --localstatedir "${EPREFIX}/var"
+
+               -Dcoverity-build=false
+               -Doss-fuzz=false
+
+               -Dcommands=true
+               -Dmemfd-rexec=true
+               -Dthread-safety=true
+
+               $(meson_use apparmor)
+               $(meson_use caps capabilities)
+               $(meson_use examples)
+               $(meson_use io-uring io-uring-event-loop)
+               $(meson_use lto b_lto)
+               $(meson_use man)
+               $(meson_use pam pam-cgroup)
+               $(meson_use seccomp)
+               $(meson_use selinux)
+               $(meson_use ssl openssl)
+               $(meson_use test tests)
+               $(meson_use tools)
+
+               -Ddata-path=/var/lib/lxc
+               -Ddoc-path=/usr/share/doc/${PF}
+               -Dlog-path=/var/log/lxc
+               -Drootfs-mount-path=/var/lib/lxc/rootfs
+               -Druntime-path=/run
+       )
+
+       if use systemd; then
+               local emesonargs+=( -Dinit-script="systemd" )
+               local emesonargs+=( -Dsd-bus=enabled )
+       else
+               local emesonargs+=( -Dinit-script="sysvinit" )
+               local emesonargs+=( -Dsd-bus=disabled )
+       fi
+
+       use tools && local emesonargs+=( -Dcapabilities=true )
+
+       if $(tc-ld-is-gold) || $(tc-ld-is-lld); then
+               local emesonargs+=( -Db_lto_mode=thin )
+       else
+               local emesonargs+=( -Db_lto_mode=default )
+       fi
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+
+       # The main bash-completion file will collide with lxd, need to relocate 
and update symlinks.
+       mkdir -p "${ED}"/$(get_bashcompdir) || die "Failed to create 
bashcompdir."
+
+       if use tools; then
+               bashcomp_alias lxc-start 
lxc-{attach,autostart,cgroup,checkpoint,config,console,copy,create,destroy,device,execute,freeze,info,ls,monitor,snapshot,stop,top,unfreeze,unshare,usernsexec,wait}
+       else
+               bashcomp_alias lxc-start lxc-usernsexec
+       fi
+
+       keepdir /var/lib/cache/lxc /var/lib/lib/lxc
+
+       find "${ED}" -name '*.la' -delete -o -name '*.a' -delete || die
+
+       # Replace upstream sysvinit/systemd files.
+       if use systemd; then
+               rm -r "${D}$(systemd_get_systemunitdir)" || die "Failed to 
remove systemd lib dir"
+       else
+               rm "${ED}"/etc/init.d/lxc-{containers,net} || die "Failed to 
remove sysvinit scripts"
+       fi
+
+       newinitd "${FILESDIR}/${PN}.initd.8" ${PN}
+       systemd_newunit "${FILESDIR}"/lxc-monitord.service.5.0.0 
lxc-monitord.service
+       systemd_newunit "${FILESDIR}"/lxc-net.service.5.0.0 lxc-net.service
+       systemd_newunit "${FILESDIR}"/lxc.service-5.0.0 lxc.service
+       systemd_newunit "${FILESDIR}"/lxc_at.service.5.0.0 "lxc@.service"
+
+       if ! use apparmor; then
+               sed -i '/lxc-apparmor-load/d' 
"${D}$(systemd_get_systemunitdir)/lxc.service" || die "Failed to remove 
apparmor references from lxc.service systemd unit."
+       fi
+}
+
+pkg_postinst() {
+       elog "Please refer to "
+       elog "https://wiki.gentoo.org/wiki/LXC for introduction and usage 
guide."
+       elog
+       elog "Run 'lxc-checkconfig' to see optional kernel features."
+       elog
+
+       optfeature "automatic template scripts" app-containers/lxc-templates
+       optfeature "Debian-based distribution container image support" 
dev-util/debootstrap
+       optfeature "snapshot & restore functionality" sys-process/criu
+}

Reply via email to